Bug 1854814 - HTTP/2 backend support breaks websocket
Summary: HTTP/2 backend support breaks websocket
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.4.z
Assignee: Andrew McDermott
QA Contact: Hongan Li
URL:
Whiteboard:
Depends On: 1854195
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-08 09:44 UTC by Andrew McDermott
Modified: 2020-07-21 10:31 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1853711
Environment:
Last Closed: 2020-07-21 10:31:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift router pull 144 None closed Bug 1854814: Removes ALPN from haproxy backends 2020-11-22 08:44:48 UTC
Red Hat Product Errata RHBA-2020:2913 None None None 2020-07-21 10:31:41 UTC

Comment 6 Hongan Li 2020-07-13 04:21:33 UTC
Verified with 4.4.0-0.nightly-2020-07-08-233114 and the issue has been fixed.
The "alpn h2" has been removed from the backend.

  server pod:caddy-rc-f29lg:service-secure:10.128.2.15:8443 10.128.2.15:8443 cookie 900d6e0b534db276ba867eb8faf4d2fb weight 256 ssl verify required ca-file /var/lib/haproxy/router/cacerts/hongli:myreen.pem check inter 5000ms

Comment 8 errata-xmlrpc 2020-07-21 10:31:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2913


Note You need to log in before you can comment on or make changes to this bug.